# user-aports
Upstream: https://lab.ilot.io/ayakael/user-aports

## Description

This repository contains aports that are not yet merged in the official Alpine
Linux repository or don’t adhere to Alpine polices. Packages are automatically
built using GitLab CI on my own GitLab instance. Once built, they are deployed
to a git-lfs repository, making them available to apk.

Branches are matched to Alpine releases.


## Repositories

You can browse all the repositories at https://lab.ilot.io/ayakael/repo-apk.
Affixed to each repository description is the appropriate link for use in
`/etc/apk/repositories`.

#### Backports
```
https://lab.ilot.io/ayakael/repo-apk/-/raw/v3.18/backports
```

Aports from the official Alpine repositories backported from edge to v3.18.

#### User
```
https://lab.ilot.io/ayakael/repo-apk/-/raw/v3.18/user
```

Aports that have yet to be (or may never be) upstreamed to the official
aports.

#### Testing/Community
```
https://lab.ilot.io/ayakael/repo-apk/-/raw/v3.18/community
https://lab.ilot.io/ayakael/repo-apk/-/raw/v3.18/testing
```

Aports that have already been upstreamed are kept here for three reasons:
* Facilitate keeping track of packages that I support
* Upgrades are first deployed here for first batch of testing
* Make packages that are in 'testing' available for stable releases


## How to use
Add security key of the repo-apk repository to your /etc/apk/keys:

```shell
cd /etc/apk/keys
wget https://lab.ilot.io/ayakael/repo-apk/-/raw/v3.18/antoine.martin@protonmail.com-5b3109ad.rsa.pub
```
Add repositories that you want to use (see above) to `/etc/apk/repositories`.

## Support
Generally, only the latest branch is kept up-to-date. That said, if an aport
is broken on the latest release due to a dependency incompatibility, it will be
kept up-to-date on the release it last works on.

As these aports are built for my own application, I make no guarantees that
they will work for you.

## Contribution & bug reports
If you wish to contribute to this aports collection, or wish to report a bug,
you can do so on Alpine's GitLab instance here:
https://gitlab.alpinelinux.org/ayakael/user-aports

For packages that are in testing/community, bug reports and merge requests
should be done on Alpine's aports repo instance:
https://gitlab.alpinelinux.org/alpine/aports

## License
This readme, abuilds and support scripts are licensed under MIT License.
